Subject: bug#5842: Move Control modifier only in Emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2016 16:59:33 +1100

[email-masked] writes:

> This patch allows to move Control modifier only in Emacs.
> For example, you can do
> (setq x-ctrl-keysym 'meta)
> (setq x-meta-keysym 'ctrl)
> to swap Control and Meta in Emacs, but not in X Window.

[...]

> I would much prefer a patch that's independent of the underlying GUI, so
> we can use the same config vars under a tty, X11, Windows, ...

Is this possible to do on that level?

Anyway, I don't really feel that it makes much sense to have these piece
meal way of modifying some modifier keys in Emacs, when you can do that
directly in X (or whatever GUI you're using), so I'm closing this bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no